Bug 1285684 - [RFE] Add --fsoptions (or --mkfsoptions) for autopart directive
[RFE] Add --fsoptions (or --mkfsoptions) for autopart directive
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
Unspecified Unspecified
high Severity unspecified
: rc
: 7.2
Assigned To: David Lehman
Release Test Team
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2015-11-26 04:16 EST by Fabian Deutsch
Modified: 2016-08-31 10:18 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-08-31 10:18:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Fabian Deutsch 2015-11-26 04:16:12 EST
Description of problem:
Currently a range of commands (part, raid, btrfs, …) support the --fsoptions argument to set additional fs options (liek discard) it would be nice if autopart was also supporting this.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 1 Fabian Deutsch 2015-11-26 04:17:10 EST
The use-case is to pass the 'discard' option when the thinp layout type is used:


autopart --type=thinp --fstype=ext4 --fsoptions=discard
Comment 3 David Lehman 2015-12-02 09:30:50 EST
Isn't discard the default behavior of mke2fs? From mke2fs(8):

  Attempt to discard blocks at mkfs time (discarding blocks initially is useful
  on solid state devices and sparse / thin-provisioned storage). When the device
  advertises that discard also zeroes data (any subsequent read after the discard
  and before write returns zero), then mark all not-yet-zeroed inode tables as
  zeroed. This significantly speeds up filesystem initialization. This is set as
Comment 4 Fabian Deutsch 2015-12-02 11:14:11 EST
Oh, I did not know about that option for mke2fs.

I was referring to either mke2fs(8) -O discard or mount(8) -o discard.
Comment 5 David Lehman 2016-02-24 11:40:24 EST
The difficulty here is that you are specify mount options to a command that creates multiple filesystems. The obvious behavior would be to set/use this option for all of the filesystems created by autopart. Is this what you would expect? eg: /boot and / (and /home if enough space is available) would all get the option.

Also, how would it impact RHEV 4 if this bug was deferred to 7.4?
Comment 6 Fabian Deutsch 2016-02-24 12:08:30 EST
Actually a valid point that it would affect multiple filesystems - and this would actually not be to nice.

In the mean time we actually improved our tool to support multiple (ext4+xfs) filesystems, which means that this RFE is not a direct blocker anymore.
Comment 7 David Lehman 2016-08-31 10:18:26 EDT
I think this proposal has fatal flaws as described in comment 5, and am closing it on that basis. The anaconda team is not against something along these lines in principle, but this particular proposal will not work.

Note You need to log in before you can comment on or make changes to this bug.